/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Controller;

import Dao.UserAmendmentDao;
import DataEntryBean.ChequeDetailsBean;
import java.io.IOException;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author 1004242
 */
public class UserAmendmentServlet extends HttpServlet{
  @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String)session.getAttribute("user");
        UserAmendmentDao aiDao = new UserAmendmentDao();
        String result = null;
        String staticIP =null;

       // try{
            
           // String userName = (String) request.getParameter("userName");
           // String userRole = (String) request.getParameter("roleId");
           // String userId = (String) request.getParameter("userId");
           // String opType = (String) request.getParameter("opType");
           // String ipFlag = (String) request.getParameter("ipFlag");
            staticIP = (String) request.getParameter("staticIP");
            if ("Y".equals(ipFlag) && (staticIP.contains("A") || staticIP.contains("N")))
            {
                System.out.println("Please enter valid Static IP.");
                request.setAttribute("message1", "Please enter valid Static IP.");
                (request.getRequestDispatcher("/Deposit/UserAmendment.jsp")).forward(request, response);
            } else {
            
                try{
                        if ("N".equals(ipFlag))
                        {
                            staticIP = null;
                        } else {
                           // staticIP = (String) request.getParameter("staticIP");
                        }
            
            result = aiDao.UserAmendmentServletProc(pacsId, userName, userRole, userId, opType, tellerId, ipFlag, staticIP);

            request.setAttribute("message1", result);
            request.getRequestDispatcher("/Deposit/UserAmendment.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
           System.out.println("Error occurred during processing.");
            request.setAttribute("message1", "Error occured. Please try again");
            request.getRequestDispatcher("/Deposit/UserAmendment.jsp").forward(request, response);
        
        } finally {
            System.out.println("Processing done.");
        }
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */

    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
